Bug 196519 - MagicPoint not updated for FC5 layout
MagicPoint not updated for FC5 layout
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: MagicPoint (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
Depends On: 198836
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-23 17:47 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-05 03:09:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-06-23 17:47:47 EDT
Description of problem:

MagicPoint is not adjusted to layout of "modular X server" with
such result that /usr/X11R6/bin/mgp is not even in a standart path
not mentioning even such locations like /usr/X11R6/lib/X11/mgp/
instead of /usr/share/X11/mgp/ or manpages in /usr/X11R6/man/man1/

Version-Release number of selected component (if applicable):
MagicPoint-1.11b-2.fc5
Comment 1 Hans de Goede 2006-10-21 10:29:48 EDT
Hi, I'm unorphaning MagicPoint / taking over as new maintainer

This is fixed in the current devel tree CVS version of the MagicPoint package,
but this cannot be build yet as it needs freetype1 which is awaiting review, if
you want to help expidite the progress of this bug, please review freetype1, see
bug 198836.

If you want to try out the new MagicPoint you can find it and the required
freetype1 here:
http://people.atrpms.net/~hdegoede/freetype1-1.4-0.2.pre.src.rpm
http://people.atrpms.net/~hdegoede/MagicPoint-1.11b-4.fc6.src.rpm

Comment 2 Hans de Goede 2007-01-11 08:10:34 EST
freetype1 has been approved now, and a new MagicPoint with this fixed is 
building as I type, closing.
Comment 3 Michal Jaegermann 2007-02-04 15:50:16 EST
> ... a new MagicPoint with this fixed is building ...

This was a while ago and on mirrors there is still the
same MagicPoint-1.11b-2.fc5 from 2005-08-05.

There are new, at least sources, for MagicPoint-1.11b-4.fc6 and
MagicPoint-1.11b-4.fc7 but nothing of that sort for FC5.
Comment 4 Hans de Goede 2007-02-05 03:09:45 EST
Erm FC-5 is almost EOL and this bug does not cause any functional bug, it is
merily a packaging bug. IOW I'm not going to fix this for FC-5, closing again.
Comment 5 Michal Jaegermann 2007-02-05 12:38:11 EST
> ... and this bug does not cause any functional bug

Oh, really?

$ which mgp 
/usr/bin/which: no mgp in (... long path skipped ...)
$ /usr/X11R6/bin/mgp  /usr/share/doc/MagicPoint-1.11b/sample/default.mgp
.....
Core was generated by `/usr/X11R6/bin/mgp
/usr/share/doc/MagicPoint-1.11b/sample/default.mgp'.
Program terminated with signal 11, Segmentation fault.

AFAICS that is caused by not found resources.  Yes, I know that
things should be more robust than that.  I also happen to know
how to work around but this is not the point (magic or not :-).
Comment 6 Hans de Goede 2007-02-14 08:39:53 EST
Ah, I didn't know that it was actually broken on FC-5. I've build the FC-6  /
devel version for FC-5 now too, it should show up on a mirror near you soon.
Comment 7 Michal Jaegermann 2007-02-14 11:40:20 EST
> Ah, I didn't know that it was actually broken on FC-5.

It should be possible to work around by providing suitable
symlinks - if you are knowledgable enough.  But "out-of-the-box"
it does what you see.
Comment 8 Michal Jaegermann 2007-02-16 22:47:43 EST
An update did show up and now it works.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.